# Uses of Interface
org.eclipse.emf.cdo.common.id.CDOIDTemp

Packages that use CDOIDTemp
Package
Description
org.eclipse.emf.cdo.common.id
Common concepts for dealing with object and revision IDs.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOIDTemp in org.eclipse.emf.cdo.common.id

Methods in org.eclipse.emf.cdo.common.id that return CDOIDTemp
Modifier and Type
Method
Description
`static CDOIDTemp`
CDOIDUtil.`createTempObject(int value)`

## Uses of CDOIDTemp in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return CDOIDTemp
Modifier and Type
Method
Description
`CDOIDTemp`
InternalCDOTransaction.`getNextTemporaryID()`
Deprecated.
`InternalCDOTransaction.createIDForNewObject(EObject)` is called since 4.1.